thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jano Svitok (Jira)" <j...@apache.org>
Subject [jira] [Reopened] (THRIFT-5100) Gem::InstallError: byebug requires Ruby version >= 2.4.0.
Date Mon, 09 Mar 2020 22:16:00 GMT

     [ https://issues.apache.org/jira/browse/THRIFT-5100?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jano Svitok reopened THRIFT-5100:
---------------------------------

After fixing THRIFT-5120, this bug appears again.

I see two solutions here: 

1. block byebug >=11.1: add line to /lib/rb/thrift.gemspec: add_dependency "~>11.0"
, "<11.1"
   the problem here is that 11.1 brings support for ruby 2.7 which is useful.
2. upgrade ruby to at least 2.4. use [brightbox ppa|https://www.brightbox.com/docs/ruby/ubuntu/]


I prefer 2.

Patch provided in https://github.com/apache/thrift/pull/2054 commit e59d0656

> Gem::InstallError: byebug requires Ruby version >= 2.4.0.
> ---------------------------------------------------------
>
>                 Key: THRIFT-5100
>                 URL: https://issues.apache.org/jira/browse/THRIFT-5100
>             Project: Thrift
>          Issue Type: Bug
>          Components: Ruby - Library
>            Reporter: Jens Geyer
>            Assignee: Jens Geyer
>            Priority: Critical
>              Labels: ci-failure
>             Fix For: 0.14.0
>
>
> {code}
> [33mGem::InstallError: byebug requires Ruby version >= 2.4.0.[0m
> [32mInstalling coderay 1.1.2[0m
> [32mInstalling daemons 1.3.1[0m
> [32mInstalling diff-lcs 1.3[0m
> [32mInstalling eventmachine 1.2.7 with native extensions[0m
> [32mInstalling method_source 0.9.2[0m
> [32mInstalling rack 2.0.8[0m
> [32mInstalling rspec-support 3.9.2[0m
> Using thrift 0.14.0 from source at `.`
> [32mInstalling binding_of_caller 0.8.0 with native extensions[0m
> [31mAn error occurred while installing byebug (11.1.1), and Bundler cannot continue.
> Make sure that `gem install byebug -v '11.1.1'` succeeds before bundling.[0m
> Makefile:651: recipe for target 'all-local' failed
> make[2]: *** [all-local] Error 5
> make[2]: Leaving directory '/thrift/src/lib/rb'
> Makefile:584: recipe for target 'check-recursive' failed
> make[1]: *** [check-recursive] Error 1
> make[1]: Leaving directory '/thrift/src/lib'
> Makefile:683: recipe for target 'check-recursive' failed
> make: *** [check-recursive] Error 1
> travis_time:end:00e36838:start=1581850070145039542,finish=1581850890512699570,duration=820367660028,event=script
> [0K[31;1mThe command "build/docker/run.sh" exited with 2.[0m
> {code}



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message